Bug 284021 - Use Inconsolata for monospace terminal font
Use Inconsolata for monospace terminal font
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
Bill Nottingham
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2007-09-09 11:16 EDT by Steven Garrity
Modified: 2014-03-16 23:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-10 13:51:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steven Garrity 2007-09-09 11:16:27 EDT
The free/open (Open Font License) console/programming font Inconsolata is
turning out to be a great font for programming and terminal work (best I've used
so far, including some of the Windows Vista and OS X fonts).

As it is free/open, I would propose it be included as the default monospace font
in Fedora. If it's not the default, I'd at least like to see it included.

Details here: http://www.levien.com/type/myfonts/inconsolata.html
Comment 1 Will Woods 2007-09-09 12:39:58 EDT
Having it used as the default monospace font is unlikely, unless it has glyphs
for most of unicode. 

On the other hand, I agree that it's a really nice font and I'd love to have it
available by default. A first step would be to package it for inclusion in
Fedora, but as far as I know the Packaging Committee has not officially approved
the Open Font License as a Fedora-compatible license (mostly because, to the
best of my knowledge, it's never been brought up before). 

I feel like this should get discussed at the next FESCo meeting.
Comment 2 Will Woods 2007-09-09 20:49:04 EDT
My mistake - the OFL is a Fedora-approved license, listed under Font Licenses
here: http://fedoraproject.org/wiki/Licensing

So the next step would be to go ahead and make a Fedora package for the font so
people can check it out. Once it's in Fedora, it could be proposed for inclusion
in the distro by default.

Note that the packaging guidelines say that "when source code is available (like
DejaVu), then the font must be built from source." 
Comment 3 Bill Nottingham 2007-09-10 13:51:38 EDT
Someone needs to step up and package this. Until then... deferred.

Note You need to log in before you can comment on or make changes to this bug.